* {
    font-family: 'Roboto', sans-serif;
    margin: 0;
}

body {
    background-color: #efefef;
}

.wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 50em;
    margin: 1em auto;
    color: #661f1f;
}

#chat-container {
    height: 30em;
    overflow: auto;
    border: 1em solid #ffffff;
    width: 48em;
    background: linear-gradient(#ff6a00, #ffcdd6);
    border-radius: 1em;
    box-shadow: 12px 12px 16px 0 #d5d5d5;
}

.user-name {
    text-transform: uppercase;
}

.message-content {
    background: rgba(255, 255, 255, 0.25);
    box-shadow: 0 8px 32px 0 rgba(255, 255, 255, 0.37);
    backdrop-filter: blur(4px);
    border-radius: 10px;
    border: 1px solid rgba(255, 255, 255, 0.18);
    padding: 0.7em;
    width: fit-content;
}

.time {
    font-size: 0.7em;
    margin: 0 0 0 1em;
}

#form {
    margin: 1em;
    display: flex;
    flex-direction: column;
}

.message-container {
    display: flex;
    flex-direction: column;
    margin: 1em;
}

.sent {
    align-items: flex-end;
}

.received {
    align-items: flex-start;
}

#user-message {
    padding: 1em;
    border: 1em solid #ffffff;
    border-radius: 1em;
    background-color: #fff9f9;;
    outline: none;
    color: #661f1f;
    box-shadow: 12px 12px 16px 0 #d5d5d5;
}

#submit-message {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #661f1f;
    border: none;
    padding: 1em;
    text-transform: uppercase;
    background-color: #efefef;
    box-shadow: 12px 12px 16px 0 #d5d5d5,
    -8px -8px 12px 0 #ffffff;
    border-radius: 1em;
    margin: 1em auto;
    width: fit-content;
    cursor: pointer;
}